解决MediaWiki扩展缺少依赖问题

目前,从官网下载的扩展,可能会缺少依赖项,从而导致网站报错。(T215713

比如类似下面的错误信息,可能是缺少依赖的表现:

PHP Fatal error:  Class 'Pimple\Container' not found in /mywikis/installation/path/extensions/Flow/includes/Container.php on line 5 

解决方案

通过Composer安装依赖

Composer是PHP项目的依赖管理工具,通过此工具可以方便的管理项目的依赖关系。

如果你的服务器已经有Composer了,直接切换到缺少依赖的扩展目录下,执行

composer install --no-dev

如果你没有安装Composer,请从Composer官网下载最新的

发表评论

电子邮件地址不会被公开。 必填项已用*标注

此站点使用Akismet来减少垃圾评论。了解我们如何处理您的评论数据